<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        .contenedor {
            border: 2px black solid;
            padding: 20px;
        }
    </style>
</head>

<body>
    <div class="container">
        <p>Queremos hacer un recorrido a esos DIV y en cada uno, mirar el texto que aparece. Colocaremos como color del
            texto del DIV el color que aprece escrito en el DIV. Pero con dos casos especiales:<br>
            • Si el texto del DIV es "white", entonces no queremos hacer nada con ese elemento.<br>
            • Si el texto del DIV es "nada", entonces detendremos el bucle y dejaremos de colorear los siguientes
            elementos.
        </p>
        <div class="contenedor">
            <div class="coloreach">red</div>
            <div class="coloreach">blue</div>
            <div class="coloreach">red</div>
            <div class="coloreach">white</div>
            <div class="coloreach">red</div>
            <div class="coloreach">green</div>
            <div class="coloreach">orange</div>
            <div class="coloreach">red</div>
            <div class="coloreach">nada</div>
            <div class="coloreach">red</div>
            <div class="coloreach">blue</div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('.coloreach').each(function () {
            if ($(this).text() != 'white' && $(this).text() != 'nada') {
                let color = $(this).text();
                $(this).css({ "backgroundColor": color });

            } else if ($(this).text() == 'nada') {
                return false;
            }
        });
    </script>
</body>

</html>